org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetConsoleStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetConsoleStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class PlatformDotNetConsoleStream
    extends OutputStream

Stream that writes to the .NET console.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetConsoleStream(boolean err)` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetConsoleStream

    public PlatformDotNetConsoleStream(boolean err)

Ctor.

Parameters:
  `err` - Error stream flag.

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018